IPhone security update

Image via CrunchBase

Today Apple released IPhone OS 3.0.1 to fix the SMS message vunderbility that could allow attackers full access to the IPhone.

The KB article list it available for: IPhone OS 1.0 through IPhone OS 3.0. Does that mean the vunderbility is in all IPhone versions and you have to upgrade to fix it?

Here?s more informaion about the vulnerabilty

http://www.geeky-gadgets.com/iphone-sms-vulnerability-revealed-tomorrow-30-07-09/

http://www.tuaw.com/2009/07/30/security-researchers-to-unveil-iphone-sms-vulnerability-later-to/

http://hothardware.com/News/iPhone-SMS-Vulnerability-Found-Getting-Patched/